petsc-3.10.5 2019-03-28
Report Typos and Errors

# KSPGuessSetFromOptions

*/ PetscErrorCode KSPGuessSetFromOptions(KSPGuess guess) { PetscErrorCode ierr;

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPGuessDestroy(KSPGuess *guess)

PetscFunctionBegin; PetscValidHeaderSpecific(guess,KSPGUESS_CLASSID,1); if (guess->ops->setfromoptions) { ierr = (*guess->ops->setfromoptions)(guess);CHKERRQ(ierr); } PetscFunctionReturn(0); }

/*@ KSPGuessDestroy - Destroys KSPGuess context.

Collective on KSPGuess

### Input Parameter

guess -initial guess object

### Keywords

KSP, destroy

### See Also

KSPGuessCreate(), KSPGuess, KSPGuessType

### Level

beginner

### Location

src/ksp/ksp/interface/iguess.c

### Implementations

KSPGuessSetFromOptions_Fischer in src/ksp/ksp/guess/impls/fischer/fischer.c
KSPGuessSetFromOptions_POD in src/ksp/ksp/guess/impls/pod/pod.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages